{
    "summary": "Registo",
    "description": "Registo das contas dos utilizadores.",
    "type": "object",
    "properties": {
      "name": {
        "type": "string-not-empty"
      },
      "surname": {
        "type": "string-not-empty"
      },
      "city_uid": {
        "_schema": "cities"
      },
      "email": {
        "type": "string-not-empty"
      },
      "username": {
        "type": "string-not-empty"
      },
      "password": {
        "type": "string-not-empty"
      }
    },
    "required": [
        "name",
        "surname",
        "city_uid",
        "email",
        "username",
        "password"
    ]
}